> ## Documentation Index
> Fetch the complete documentation index at: https://pulze.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update App Custom Data



## OpenAPI

````yaml put /v1/apps/custom-data/{app_id}/files/{file_id}
openapi: 3.1.0
info:
  title: Pulze.ai API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/apps/custom-data/{app_id}/files/{file_id}:
    put:
      tags:
        - apps
      summary: Update App Custom Data
      operationId: update_app_custom_data_v1_apps_custom_data__app_id__files__file_id__put
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: App Id
        - name: file_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: File Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AppCustomDataUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppCustomData'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AppCustomDataUpdateRequest:
      properties:
        file_name:
          anyOf:
            - type: string
            - type: 'null'
          title: File Name
        active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Active
        labels:
          anyOf:
            - items:
                type: string
                format: uuid
              type: array
            - type: 'null'
          title: Labels
      type: object
      title: AppCustomDataUpdateRequest
    AppCustomData:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
          description: The ID
        app_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: App Id
          description: The ID of the app to store this data in
        tenant_id:
          type: string
          format: uuid
          title: Tenant Id
          description: The ID of the tenant to store this data in
        carbon_object_id:
          anyOf:
            - type: string
            - type: integer
            - type: 'null'
          title: Carbon Object Id
          description: The ID of the object in Carbon
        carbon_data_source_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Carbon Data Source Type
          description: The type of the data source in Carbon
        carbon_last_synced_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Carbon Last Synced On
          description: The timestamp the file was last synced from Carbon
        file_name:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: string
          title: File Name
          description: The name of the file
        file_mime:
          anyOf:
            - type: string
            - type: 'null'
          title: File Mime
          description: The mimetype of the file
        file_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: File Size
          description: The size of the file in Bytes
        external_url:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: string
            - type: 'null'
          title: External Url
          description: The external URL to the file
        data_type:
          type: string
          enum:
            - file
            - url
          title: Data Type
          description: The type of custom data (file, url, ...)
        active:
          type: boolean
          title: Active
          description: Indicates if the data source will be included in queries
          default: true
        state:
          $ref: '#/components/schemas/AppCustomDataState'
          description: The state of the file
          default: PENDING
        labels:
          items:
            $ref: '#/components/schemas/AppLabel'
          type: array
          title: Labels
          description: The labels associated with the file
        added_on:
          type: string
          format: date-time
          title: Added On
          description: The timestamp the file was added
        modified_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified On
          description: The timestamp the file was last modified
        deleted_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted On
          description: The timestamp the file was added
      type: object
      required:
        - tenant_id
        - file_name
        - data_type
      title: AppCustomData
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AppCustomDataState:
      type: string
      enum:
        - CREATED
        - PENDING
        - QUEUED
        - QUEUED_FOR_RECONCILIATION
        - SYNC_FAILED
        - FAILED
        - INDEXED
        - DELETING
      title: AppCustomDataState
    AppLabel:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - name
        - id
      title: AppLabel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````